Displaying 20 results from an estimated 146 matches for "xenf".
Did you mean:
xen
2010 Oct 28
1
[PATCH] xen: xenfs: privcmd: check put_user() return code
put_user() may fail. In this case propagate error code from
privcmd_ioctl_mmap_batch().
Signed-off-by: Vasiliy Kulikov <segooon at gmail.com>
---
Compile tested.
drivers/xen/xenfs/privcmd.c | 8 ++------
1 files changed, 2 insertions(+), 6 deletions(-)
diff --git a/drivers/xen/xenfs/privcmd.c b/drivers/xen/xenfs/privcmd.c
index f80be7f..2eb04c8 100644
--- a/drivers/xen/xenfs/privcmd.c
+++ b/drivers/xen/xenfs/privcmd.c
@@ -266,9 +266,7 @@ static int mmap_return_errors(vo...
2010 Oct 28
1
[PATCH] xen: xenfs: privcmd: check put_user() return code
put_user() may fail. In this case propagate error code from
privcmd_ioctl_mmap_batch().
Signed-off-by: Vasiliy Kulikov <segooon at gmail.com>
---
Compile tested.
drivers/xen/xenfs/privcmd.c | 8 ++------
1 files changed, 2 insertions(+), 6 deletions(-)
diff --git a/drivers/xen/xenfs/privcmd.c b/drivers/xen/xenfs/privcmd.c
index f80be7f..2eb04c8 100644
--- a/drivers/xen/xenfs/privcmd.c
+++ b/drivers/xen/xenfs/privcmd.c
@@ -266,9 +266,7 @@ static int mmap_return_errors(vo...
2011 Aug 20
3
[PATCH 2/2] Load gntdev and evtchn if they''re modular.
...2011 -0700
+++ b/tools/hotplug/Linux/init.d/xencommons Tue Aug 16 17:05:18 2011 -0700
@@ -29,12 +29,18 @@
XENCONSOLED_PIDFILE=/var/run/xenconsoled.pid
shopt -s extglob
-if [ "x$1" = xstart -a -d /proc/xen -a \
- ! -f /proc/xen/capabilities ] && \
- ! grep -qw ''^xenfs'' /proc/mounts; then
- mount -t xenfs xenfs /proc/xen
+[ -d /proc/xen ] || exit 0 # Xen not present; exit quietly
+
+if [ "x$1" = xstart ]; then
+ # Mount /proc/xen if needed
+ [ -f /proc/xen/capabilities ] || mount -t xenfs xenfs /proc/xen
+
+ # Make sure evtchn and gntdev are l...
2013 May 15
6
xenfs: race condition on xenstore watch
Dear xen-devel,
There''s a race condition in xenfs (xenstore driver) that causes
userspace utility xenstore-watch to crash.
Normally, the userspace process gets an "OK" from xenfs and then the
watch fires immediately after. Occasionally, this happens the other way
around: the watch fires before the driver sends "OK", which con...
2011 Aug 20
4
[PATCH 1/2] Make xencommons a bit more idiomatic
...lug/Linux/init.d/xencommons Tue Aug 16 16:56:16 2011 -0700
@@ -29,11 +29,9 @@
XENCONSOLED_PIDFILE=/var/run/xenconsoled.pid
shopt -s extglob
-if test "x$1" = xstart && \
- test -d /proc/xen && \
- ! test -f /proc/xen/capabilities && \
- ! grep ''^xenfs '' /proc/mounts >/dev/null;
-then
+if [ "x$1" = xstart -a -d /proc/xen -a \
+ ! -f /proc/xen/capabilities ] && \
+ ! grep -qw ''^xenfs'' /proc/mounts; then
mount -t xenfs xenfs /proc/xen
fi
_______________________________________________...
2005 Apr 27
5
sharing memory between unprivileged guests
Is there any way for unprivileged guests to map each others memory
without grant tables? Now that the pressure is off for me to support
SMP internally, I''d like to switch back to using -testing.
Thanks.
-Kip
_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xensource.com
http://lists.xensource.com/xen-devel
2008 Mar 07
0
XenFS
I''ve been looking at perhaps sharing some data between various domUs.
Specifically, a Gentoo Portage tree.
I found XenFS (http://wiki.xensource.com/xenwiki/XenFS). Is this
going anywhere? I couldn''t get it to build.
--
Jayson Vantuyl
Systems Architect
Engine Yard
jvantuyl@engineyard.com
1 866 518 9275 ext 204
_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xen...
2012 Jan 06
3
[PATCH] xen: remove CONFIG_XEN_DOM0 compile option
...--------------
arch/x86/pci/xen.c | 6 ------
arch/x86/xen/Kconfig | 10 ----------
arch/x86/xen/Makefile | 3 +--
arch/x86/xen/xen-ops.h | 7 -------
drivers/xen/Kconfig | 3 ++-
drivers/xen/Makefile | 3 +--
drivers/xen/xenfs/Makefile | 3 +--
include/xen/xen.h | 11 +++--------
9 files changed, 9 insertions(+), 58 deletions(-)
diff --git a/arch/x86/include/asm/xen/pci.h b/arch/x86/include/asm/xen/pci.h
index 968d57d..b423889 100644
--- a/arch/x86/include/asm/xen/pci.h
+++ b/arch/x86/include/asm/...
2012 Jan 06
3
[PATCH] xen: remove CONFIG_XEN_DOM0 compile option
...--------------
arch/x86/pci/xen.c | 6 ------
arch/x86/xen/Kconfig | 10 ----------
arch/x86/xen/Makefile | 3 +--
arch/x86/xen/xen-ops.h | 7 -------
drivers/xen/Kconfig | 3 ++-
drivers/xen/Makefile | 3 +--
drivers/xen/xenfs/Makefile | 3 +--
include/xen/xen.h | 11 +++--------
9 files changed, 9 insertions(+), 58 deletions(-)
diff --git a/arch/x86/include/asm/xen/pci.h b/arch/x86/include/asm/xen/pci.h
index 968d57d..b423889 100644
--- a/arch/x86/include/asm/xen/pci.h
+++ b/arch/x86/include/asm/...
2012 Jan 06
3
[PATCH] xen: remove CONFIG_XEN_DOM0 compile option
...--------------
arch/x86/pci/xen.c | 6 ------
arch/x86/xen/Kconfig | 10 ----------
arch/x86/xen/Makefile | 3 +--
arch/x86/xen/xen-ops.h | 7 -------
drivers/xen/Kconfig | 3 ++-
drivers/xen/Makefile | 3 +--
drivers/xen/xenfs/Makefile | 3 +--
include/xen/xen.h | 11 +++--------
9 files changed, 9 insertions(+), 58 deletions(-)
diff --git a/arch/x86/include/asm/xen/pci.h b/arch/x86/include/asm/xen/pci.h
index 968d57d..b423889 100644
--- a/arch/x86/include/asm/xen/pci.h
+++ b/arch/x86/include/asm/...
2010 Aug 31
30
Xen 4.0.1 on Ubuntu Lucid 10.04 - Desktop / Server - 64 Bits - With OpenGL (Intel GEM) enabled - From Linuxcon Brazil! :-D
Guys!
Tomorrow in my "live" presentation at Linuxcon Xen Directions! I''ll show
the Xen Live CD to the public!
To celebrate! I want to share my last procedure to get and run Xen 4.0.1 on
Ubuntu 10.04 64 bits, here we go:
The procedure:
1- Install all the packages:
aptitude update
aptitude install bridge-utils build-essential libncurses5-dev dpkg-dev
debhelper
2009 Nov 19
1
Bug#557151: /etc/init.d/xend: xend does not start with non pvops kernel
Package: xen-utils-common
Version: 3.4.2-1
Severity: important
File: /etc/init.d/xend
Tags: patch
Hello,
/etc/init.d/xend assume xenfs is present and doesn't start xend if not.
This dirty patch makes xend start and XEN being operationnal with old
flavour xen kernels. I use 2.6.31.5 with forwarded ported Xen 2.6.18 dom0
kernel patch but it should work with debian's 2.6.26
--- /etc/init.d/xend.orig 2009-11-19 23:0...
2011 May 31
3
Hotplug scripts not working
Hi all,
I''d like to know if it''s possible to have more verbose output when running a block-prefix script. Other than xend.log.
To be more specific I''d like to use bash -x to see why I''m running into the following error:
> # xm create -c host.cfg
> Using config file "host.cfg".
> aa:bb:cc:dd:ee:ff
> Error: Device 51712 (vbd) could not be
2012 Dec 13
7
HVM bug: system crashes after offline online a vcpu
Hi Konrad
I encountered a bug when trying to bring offline a cpu then online it
again in HVM. As I''m not very familiar with HVM stuffs I cannot come up
with a quick fix.
The HVM DomU is configured with 4 vcpus. After booting into command
prompt, I do following operations.
# echo 0 > /sys/devices/system/cpu/cpu3/online
# echo 1 > /sys/devices/system/cpu/cpu3/online
With
2006 Jan 23
1
Re[2]: setting up private networking between dom0 and domU?
...e moment, (artsd, esoundd, or
> use FreeNX if you can make it work).
Well, with Linux-as-guest it should be possible - but I think neither
of those network sound daemons can help with Windows-as-guest, right?
>> distribute Windows files over LVM?
> You''d want something like my XenFS for this. It''ll be quite a long time
> before a XenFS client for Windows is available, it''ll be Linux-only to start
> with.
Well, but ntldr won''t boot from it, I guess. So well, let''s stick to
disk images.
--
With best regards,
Alexander...
2013 Jun 24
11
crash on resume after suspend
Hi. I am using xen 4.2.2, the system runs okay. But when I suspend it, it does so, but crashes on trying to resume.
Here is lsmod output:
Module Size Used by
xen_pciback 52011 0
xen_netback 27468 0
xen_blkback 26998 0
xen_gntalloc 13144 0
xen_gntdev 17403 1
xen_evtchn 13132 1
xenfs 12985 1
xen_privcmd 13177 5 xenfs
parport_pc 28152 0
ppdev 17073 0
rfcomm 42641 12
bnep 18036 2
ext2 72837 1
tpm_infineon 17410 0
coretemp 13355 0
joydev 17377 0
hp_wmi 18048 0
sparse_keymap 13890 1 hp_wmi
snd_hda_codec_analog 93738 1
arc4 12615 2
iwldvm 241834 0
mac80211 606457 1 iwldvm
tpm_tis 1...
2013 Jun 24
11
crash on resume after suspend
Hi. I am using xen 4.2.2, the system runs okay. But when I suspend it, it does so, but crashes on trying to resume.
Here is lsmod output:
Module Size Used by
xen_pciback 52011 0
xen_netback 27468 0
xen_blkback 26998 0
xen_gntalloc 13144 0
xen_gntdev 17403 1
xen_evtchn 13132 1
xenfs 12985 1
xen_privcmd 13177 5 xenfs
parport_pc 28152 0
ppdev 17073 0
rfcomm 42641 12
bnep 18036 2
ext2 72837 1
tpm_infineon 17410 0
coretemp 13355 0
joydev 17377 0
hp_wmi 18048 0
sparse_keymap 13890 1 hp_wmi
snd_hda_codec_analog 93738 1
arc4 12615 2
iwldvm 241834 0
mac80211 606457 1 iwldvm
tpm_tis 1...
2012 Apr 07
3
xenstored cannot start
Hi,
My base system is Gentoo x64, and I compiled my kernel with Xen
paravirtualization support. The kernel can boot without any problem in
native mode. But when boot in Xen mode, I cannot start the xenstored
service. This is my grub config file:
title Gentoo x64 kernel-3.2.11-gentoo
root (hd0,2)
kernel
/boot/kernel-3.2.11-gentoo root=UUID=38213e99-588e-4a7d-a215-8835f7afb1c4\
2009 Jul 18
4
grep: /proc/xen/capabilities: No such file or directory
I just setup a new laptop with
- Xen-unstable (http://xenbits.xensource.com/xen-unstable.git),
installed via "make xen", "make install-xen", "make tools", "make
install-tools"
- dom0 kernel 2.6.30-rc6-tip (from
git://git.kernel.org/pub/scm/linux/kernel/git/jeremy/xen.git, changed to
bleeding edge via "git checkout origin/xen-tip/next b xen tip/next
2019 Nov 01
2
[PATCH v2 09/15] xen/gntdev: use mmu_range_notifier_insert
...a xen
4.9 hypervisor and a kernel with this patch series. It a ubuntu bionic
VM with the distro's xen stuff.
Can you give some guidance how you made it crash? I see the VM
autoloaded gntdev:
Module Size Used by
xen_gntdev 24576 2
xen_evtchn 16384 1
xenfs 16384 1
xen_privcmd 24576 16 xenfs
And lsof says several xen processes have the chardev open:
xenstored 819 root 13u CHR 10,53 0t0 19595 /dev/xen/gntdev
xenconsol 857 root 8u CHR 10...